net.sf.okapi.common

## Enum LocaleFilter.FilterType

- java.lang.Object
- - java.lang.Enum<LocaleFilter.FilterType>
  - - net.sf.okapi.common.LocaleFilter.FilterType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocaleFilter.FilterType>
  Enclosing class:
    LocaleFilter

      protected static enum LocaleFilter.FilterType
      extends java.lang.Enum<LocaleFilter.FilterType>

  Type of locale filter.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Any` The filter allows any locale.
    `None` The filter allows no locale.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocaleFilter.FilterType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocaleFilter.FilterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final LocaleFilter.FilterType None

      The filter allows no locale.

    - #### Any

          public static final LocaleFilter.FilterType Any

      The filter allows any locale.

  - ### Method Detail

    - #### values

          public static LocaleFilter.FilterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocaleFilter.FilterType c : LocaleFilter.FilterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocaleFilter.FilterType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null